ON_UuidPair Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_array.h>`

## Public Member Functions

| ON_UuidPair ()

## Static Public Member Functions

static int | CompareFirstUuid (const class ON_UuidPair *, const class ON_UuidPair *)
static int | CompareSecondUuid (const class ON_UuidPair *, const class ON_UuidPair *)
static int | Compare (const class ON_UuidPair *, const class ON_UuidPair *)

## Public Attributes

ON_UUID | m_uuid [2]

## Detailed Description

Definition at line 1148 of file opennurbs_array.h.

## Constructor & Destructor Documentation

ON_UuidPair::ON_UuidPair | ( |  | ) |

## Member Function Documentation

static int ON_UuidPair::Compare | ( | const class ON_UuidPair * | ,
|  | const class ON_UuidPair * |
| ) |  |

static

static int ON_UuidPair::CompareFirstUuid | ( | const class ON_UuidPair * | ,
|  | const class ON_UuidPair * |
| ) |  |

static

static int ON_UuidPair::CompareSecondUuid | ( | const class ON_UuidPair * | ,
|  | const class ON_UuidPair * |
| ) |  |

static

## Member Data Documentation

ON_UUID ON_UuidPair::m_uuid[2]

Definition at line 1173 of file opennurbs_array.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_array.h